<?php

namespace Blazemedia\Affiliation\Rendering\DirectLink;

class AttributesFactory {

    public static function get( $platform, $url ) {

        $platform = strtolower( $platform );

        switch( $platform ) {

            case 'amazon'        : return new AmazonAttributes( $url );
            case 'ebay'          : return new EbayAttributes( $url );
            case 'awin'          : return new AwinAttributes( $url );
            case 'tradetracker'  : return new TradeTrackerAttributes( $url );
            case 'partnerize'    : return new PartnerizeAttributes( $url );
            case 'primevideo'    : return new PrimeVideoAttributes( $url );
            case 'impact'        : return new ImpactAttributes( $url );
        }

    }

}
